import { Store } from '@tethys/store';
import { SafeAny } from 'ngx-tethys/types';
import { Route, Routes, ThyGlobalInfo, ThyMemberInfo, ThySiteSettings } from '../global.entity';
import { SettingsKeys } from '../settins.config';
import * as i0 from "@angular/core";
export declare class ThyGlobalStore extends Store<ThyGlobalInfo> {
    config: ThySiteSettings;
    private keys;
    private _user;
    constructor(config: ThySiteSettings, keys: SettingsKeys);
    get user(): ThyMemberInfo;
    initializeMenus(menus: Routes): void;
    pureUpdateActiveMenu(menu: Route): void;
    pureUpdateSettings(config: Partial<ThySiteSettings>): void;
    setUser(me: ThyMemberInfo): void;
    getUser(): ThyMemberInfo | null;
    getData(key: string): SafeAny;
    setData(key: string, value: SafeAny): void;
    changeTheme(): void;
    changePrimaryColor(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyGlobalStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThyGlobalStore>;
}
//# sourceMappingURL=global.store.d.ts.map